-
- Translation help networkKudoZOther terminology resourcesLearn more: About terminology at ProZ.com
-
-
GET: /userGet a user object for the currently authenticated user. Authorization scopesWhen using OAuth2 access tokens, only publicly visible user information is returned by default. Request the following scopes to get additional information:
Fields in the user object that are not visible will be set to See scopes in the authentication guide for information about how to request authorization scopes. Example requestcurl -H "Authorization: Bearer $OAUTH2_ACCESS_TOKEN" https://api.proz.com/v2/user Example responseOn success, a
{
"uuid": "32a9a4d0-cb6e-463f-a0ab-63d0a0418bc7",
"site_name": "John Snow",
"account_type": "2",
"email": "[email protected]",
"email_verified": true,
"profile_url": "http:\/\/www.proz.com\/profile\/46745",
"contact_info": {
"email": "[email protected]",
"first_name": "John",
"middle_name": "",
"last_name": "Snow"
},
"proz_membership": {
"status": "current",
"expiration_date": "2019-09-25",
"expired_date": null,
"certified_pro_network_status": "not_current",
"plus_package": false,
"membership_type": "professional",
"membership_package": "standard"
}
}
See also |